#include <qlineedit.h>
#include <qtextedit.h>
#include <kpopupmenu.h>

#include "kpassivepopup.h"
#include "logtracker.h"

#include "loggertray.h"
#include "loggertray.moc"

LoggerTray::LoggerTray( LogTracker *parent )
    : KSystemTray( parent )
{
    tracker = parent;
    KPopupMenu *menu = contextMenu();
    menu->insertItem( "&Message", this, SLOT(showPopup()) );
    menu->insertItem( "&Titled Message", this, SLOT(showPopup2()) );
    menu->insertItem( "&Big Icon Message", this, SLOT(showPopup3()) );
    menu->insertItem( "&Small Icon Message", this, SLOT(showPopup4()) );
    menu->insertItem( "&Custom Message", this, SLOT(showPopup5()) );
}

void LoggerTray::showPopup()
{
    KPassivePopup::message( tracker->text->text(), this );
}

void LoggerTray::showPopup2()
{
    KPassivePopup::message( tracker->title->text(), tracker->text->text(), this );
}

void LoggerTray::showPopup3()
{
    QPixmap px;
    px.load( "lo32-app-logtracker.png" );
    KPassivePopup::message( tracker->title->text(), tracker->text->text(), px, this );
}

void LoggerTray::showPopup4()
{
    QPixmap px;
    px.load( "lo16-app-logtracker.png" );
    KPassivePopup::message( tracker->title->text(), tracker->text->text(), px, this );
}

void LoggerTray::showPopup5()
{
    tracker->showCustom( this );
}
