// -*- c++ -*-

/*
 *   copyright            : (C) 2001 by Richard Moore
 *   email                : rich@kde.org
 */


#ifndef LOGTRACKER_H
#define LOGTRACKER_H

#include <kapp.h>

#include <qvbox.h>

class QLineEdit;
class QTextEdit;

/** LogTracker is the base class of the project */
class LogTracker : public QVBox
{
    Q_OBJECT 

    friend class LoggerTray;
public:
    LogTracker(QWidget* parent=0, const char *name=0);
    ~LogTracker();

    void addSysTray();

public slots:
    void showPopup();
    void showPopup2();
    void showPopup3();
    void showPopup4();
    void showPopup5();
    void knotifyEvent();
    void knotifyPassivePopup();
    void showWindowMessage();
    void showWindowMessageTextStatic();
    void showWindowMessageStatic();
    void knotifyWindowMessage();

    void showCustom( QWidget *parent );

private:    
    QLineEdit *title;
    QTextEdit *text;
};

#endif // LOGTRACKER_H
